Create a Volunteer Attendance
curl --request POST \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance"
payload = {
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerAttendanceUrl": "<string>",
"volunteerId": "<integer>",
"volunteerUrl": "<string>",
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityUrl": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"startDateTime": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteering
Create a Volunteer Attendance
Logs a shift for the volunteer on the opportunity, with the hours served and the shift’s start and end times.
POST
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Volunteers
/
{volunteerId}
/
Attendance
Create a Volunteer Attendance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The volunteer opportunity identifier.
(Required) The volunteer identifier.
Response
OK
The unique identifier of the record in Virtuous.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on August 11, 2026
Was this page helpful?
⌘I